import request from '@/utils/request'

// 查询LineSymbolGroup列表
export function listLineSymbolGroup(query) {
    return request({
        url: '/api/v1/line-symbol-group',
        method: 'get',
        params: query
    })
}

// 查询LineSymbolGroup详细
export function getLineSymbolGroup (id) {
    return request({
        url: '/api/v1/line-symbol-group/' + id,
        method: 'get'
    })
}


// 新增LineSymbolGroup
export function addLineSymbolGroup(data) {
    return request({
        url: '/api/v1/line-symbol-group',
        method: 'post',
        data: data
    })
}

// 修改LineSymbolGroup
export function updateLineSymbolGroup(data) {
    return request({
        url: '/api/v1/line-symbol-group/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineSymbolGroup
export function delLineSymbolGroup(data) {
    return request({
        url: '/api/v1/line-symbol-group',
        method: 'delete',
        data: data
    })
}

